{"openapi":"3.1.0","info":{"title":"Postal code API","description":"Bring postal code API","version":"1.0.0"},"servers":[{"url":"https://api.bring.com/address","description":"Generated server url"}],"paths":{"/api/{country-code}/postal-codes":{"get":{"tags":["Postal code"],"summary":"Get postal codes matching query","description":"\n            <p>Fetches all postal codes matching provided filters.</p>\n            <p><strong>NOTE:</strong> If no query params are provided, all postal codes of the requested country will be retrieved.\n                When all postal codes are fetched, the <code>page</code> and <code>limit</code> params are ignored. When fetching\n                all postal codes, only the following countries are supported: NO, DK, FI, SJ.\n            </p>            \n        ","operationId":"queryPostalCodes","parameters":[{"name":"X-MyBring-API-Uid","in":"header","description":"Mybring login ID","required":true,"schema":{"type":"string"}},{"name":"X-MyBring-API-Key","in":"header","description":"Your user's API key","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"Desired output media type","schema":{"type":"string","default":"application/json","enum":["application/json","application/xml"]}},{"name":"country-code","in":"path","description":"Country code","required":true,"schema":{"type":"string","enum":["no"]}},{"name":"postal_code","in":"query","description":"Postal code","schema":{"type":"string"},"example":1555},{"name":"city","in":"query","description":"City","schema":{"type":"string"},"example":"Son"},{"name":"county","in":"query","description":"County name","schema":{"type":"string"},"example":"Viken"},{"name":"municipality","in":"query","description":"Municipality name","schema":{"type":"string"},"example":"Vestby"},{"name":"postal_code_type","in":"query","description":"Filter based on postal code type","schema":{"type":"string","enum":["PO_BOX","STREET_ADDRESSES","COMBINED","SPECIAL_SERVICE"]}},{"name":"page","in":"query","description":"Page number for paginated results","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"Number of results per page","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostalCodesDto"},"examples":{"Postal codes with city":{"$ref":"#/components/examples/postalCodesWithCity"},"Postal codes with county and municipality":{"$ref":"#/components/examples/postalCodesWithMunicipalityAndCounty"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/PostalCodesDto"},"examples":{"Postal codes with city":{"$ref":"#/components/examples/postalCodesWithCity"},"Postal codes with county and municipality":{"$ref":"#/components/examples/postalCodesWithMunicipalityAndCounty"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_LIMIT","INVALID_PAGE_NUMBER","INVALID_POSTAL_CODE_COUNTRY","INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY","INVALID_QUERY_PARAM"]}},"examples":{"INVALID_POSTAL_CODE_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_COUNTRY"},"INVALID_PAGE_NUMBER":{"$ref":"#/components/examples/INVALID_PAGE_NUMBER"},"INVALID_LIMIT":{"$ref":"#/components/examples/INVALID_LIMIT"},"INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY"},"INVALID_QUERY_PARAM":{"$ref":"#/components/examples/INVALID_QUERY_PARAM"}}},"application/xml":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_LIMIT","INVALID_PAGE_NUMBER","INVALID_POSTAL_CODE_COUNTRY","INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY","INVALID_QUERY_PARAM"]}},"examples":{"INVALID_POSTAL_CODE_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_COUNTRY"},"INVALID_PAGE_NUMBER":{"$ref":"#/components/examples/INVALID_PAGE_NUMBER"},"INVALID_LIMIT":{"$ref":"#/components/examples/INVALID_LIMIT"},"INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY"},"INVALID_QUERY_PARAM":{"$ref":"#/components/examples/INVALID_QUERY_PARAM"}}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}}}}}}},"/api/{country-code}/postal-codes/suggestions":{"get":{"tags":["Postal code"],"summary":"Get postal code suggestions","description":"Returns a list of postal codes matching provided search string.","operationId":"suggestPostalCodes","parameters":[{"name":"X-MyBring-API-Uid","in":"header","description":"Mybring login ID","required":true,"schema":{"type":"string"}},{"name":"X-MyBring-API-Key","in":"header","description":"Your user's API key","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"Desired output media type","schema":{"type":"string","default":"application/json","enum":["application/json","application/xml"]}},{"name":"country-code","in":"path","description":"Country code","required":true,"schema":{"type":"string","enum":["no"]}},{"name":"q","in":"query","description":"Postal code or name to filter for","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number for paginated results","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"Number of results per page. Default 5. Max 10.","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostalCodesDto"},"examples":{"Postal codes matching query":{"$ref":"#/components/examples/postalCodeSuggestion"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/PostalCodesDto"},"examples":{"Postal codes matching query":{"$ref":"#/components/examples/postalCodeSuggestion"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_LIMIT","INVALID_PAGE_NUMBER","INVALID_POSTAL_CODE_COUNTRY","INVALID_QUERY_PARAM","QUERY_PARAM_MISSING_OR_EMPTY"]}},"examples":{"INVALID_POSTAL_CODE_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_COUNTRY"},"INVALID_PAGE_NUMBER":{"$ref":"#/components/examples/INVALID_PAGE_NUMBER"},"INVALID_LIMIT":{"$ref":"#/components/examples/INVALID_LIMIT"},"QUERY_PARAM_MISSING_OR_EMPTY":{"$ref":"#/components/examples/QUERY_PARAM_MISSING_OR_EMPTY"},"INVALID_QUERY_PARAM":{"$ref":"#/components/examples/INVALID_QUERY_PARAM"}}},"application/xml":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_LIMIT","INVALID_PAGE_NUMBER","INVALID_POSTAL_CODE_COUNTRY","INVALID_QUERY_PARAM","QUERY_PARAM_MISSING_OR_EMPTY"]}},"examples":{"INVALID_POSTAL_CODE_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_COUNTRY"},"INVALID_PAGE_NUMBER":{"$ref":"#/components/examples/INVALID_PAGE_NUMBER"},"INVALID_LIMIT":{"$ref":"#/components/examples/INVALID_LIMIT"},"QUERY_PARAM_MISSING_OR_EMPTY":{"$ref":"#/components/examples/QUERY_PARAM_MISSING_OR_EMPTY"},"INVALID_QUERY_PARAM":{"$ref":"#/components/examples/INVALID_QUERY_PARAM"}}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}}}}}}},"/api/{country-code}/postal-codes/{postal-code}":{"get":{"tags":["Postal code"],"summary":"Get postal code","description":"\n            <p>Fetches details for provided postal code. A postal code may map to several cities.</p>\n            <p>\n                <strong>NOTE:</strong> For Dutch postal codes, the provided postal code is matched against both base postal code and postal code variations, e.g. \n                both <code>6101</code> and <code>6101AA</code> will match.                \n            </p>\n        ","operationId":"getPostalCode","parameters":[{"name":"X-MyBring-API-Uid","in":"header","description":"Mybring login ID","required":true,"schema":{"type":"string"}},{"name":"X-MyBring-API-Key","in":"header","description":"Your user's API key","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"Desired output media type","schema":{"type":"string","default":"application/json","enum":["application/json","application/xml"]}},{"name":"country-code","in":"path","description":"Country code","required":true,"schema":{"type":"string","enum":["no"]}},{"name":"postal-code","in":"path","description":"Postal code to fetch","required":true,"schema":{"type":"string"},"example":1555}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostalCodeDtoList"},"examples":{"Postal Code":{"$ref":"#/components/examples/postalCode"},"Multiple cities in same postal code":{"$ref":"#/components/multiplePostalCodes"},"Dutch postal code":{"$ref":"#/components/examples/dutchPostalCode"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/PostalCodeDtoList"},"examples":{"Postal Code":{"$ref":"#/components/examples/postalCode"},"Multiple cities in same postal code":{"$ref":"#/components/multiplePostalCodes"},"Dutch postal code":{"$ref":"#/components/examples/dutchPostalCode"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_POSTAL_CODE_COUNTRY","INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY"]}},"examples":{"INVALID_POSTAL_CODE_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_COUNTRY"},"INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY"}}},"application/xml":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_POSTAL_CODE_COUNTRY","INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY"]}},"examples":{"INVALID_POSTAL_CODE_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_COUNTRY"},"INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY":{"$ref":"#/components/examples/INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY"}}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}}}}}}},"/api/{country-code}/postal-codes/{postal-code}/mailbox-delivery-dates":{"get":{"tags":["Postal code"],"summary":"Get mailbox delivery dates at postal code","description":"Returns a list of coming dates when the mailman will visit the provided postal codes. Supports Norwegian postal codes only.","operationId":"getMailBoxDeliveryDates","parameters":[{"name":"X-MyBring-API-Uid","in":"header","description":"Mybring login ID","required":true,"schema":{"type":"string"}},{"name":"X-MyBring-API-Key","in":"header","description":"Your user's API key","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"Desired output media type","schema":{"type":"string","default":"application/json","enum":["application/json","application/xml"]}},{"name":"country-code","in":"path","description":"Country code","required":true,"schema":{"type":"string","enum":["NO"]}},{"name":"postal-code","in":"path","description":"Postal code to get delivery dates for","required":true,"schema":{"type":"string"}},{"name":"from_date","in":"query","description":"Date from","schema":{"type":"string","format":"dd-MMM-yyyy"}},{"name":"look_ahead_days","in":"query","description":"Number of days into the future to get delivery schedule for. Default 14. Max 14.","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MailboxDeliveryDatesDto"},"examples":{"Mailbox delivery dates":{"$ref":"#/components/examples/mailboxDeliveryDates"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/MailboxDeliveryDatesDto"},"examples":{"Mailbox delivery dates":{"$ref":"#/components/examples/mailboxDeliveryDates"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_POSTAL_CODE","INVALID_QUERY_PARAM","INVALID_MAILBOX_DELIVERY_COUNTRY","INVALID_LOOK_AHEAD_DAYS","INVALID_DATE_FORMAT"]}},"examples":{"INVALID_MAILBOX_DELIVERY_COUNTRY":{"$ref":"#/components/examples/INVALID_MAILBOX_DELIVERY_COUNTRY"},"INVALID_POSTAL_CODE":{"$ref":"#/components/examples/INVALID_POSTAL_CODE"},"INVALID_LOOK_AHEAD_DAYS":{"$ref":"#/components/examples/INVALID_LOOK_AHEAD_DAYS"},"INVALID_DATE_FORMAT":{"$ref":"#/components/examples/INVALID_DATE_FORMAT"},"INVALID_QUERY_PARAM":{"$ref":"#/components/examples/INVALID_QUERY_PARAM"}}},"application/xml":{"schema":{"type":"array","items":{"type":"string","enum":["INVALID_POSTAL_CODE","INVALID_QUERY_PARAM","INVALID_MAILBOX_DELIVERY_COUNTRY","INVALID_LOOK_AHEAD_DAYS","INVALID_DATE_FORMAT"]}},"examples":{"INVALID_MAILBOX_DELIVERY_COUNTRY":{"$ref":"#/components/examples/INVALID_MAILBOX_DELIVERY_COUNTRY"},"INVALID_POSTAL_CODE":{"$ref":"#/components/examples/INVALID_POSTAL_CODE"},"INVALID_LOOK_AHEAD_DAYS":{"$ref":"#/components/examples/INVALID_LOOK_AHEAD_DAYS"},"INVALID_DATE_FORMAT":{"$ref":"#/components/examples/INVALID_DATE_FORMAT"},"INVALID_QUERY_PARAM":{"$ref":"#/components/examples/INVALID_QUERY_PARAM"}}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"429":{"$ref":"#/components/examples/429"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}},"application/xml":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"500":{"$ref":"#/components/examples/500"}}}}}}}}},"components":{"schemas":{"Navigation":{"type":"object","properties":{"total_hits":{"type":["integer","null"],"format":"int32","description":"Total number of hits","xml":{"name":"totalHits","attribute":true}},"self":{"type":["string","null"],"description":"Link to self","xml":{"attribute":true}},"next":{"type":["string","null"],"description":"Next page","xml":{"attribute":true}},"prev":{"type":["string","null"],"description":"Previous page","xml":{"attribute":true}},"first":{"type":["string","null"],"description":"First page","xml":{"attribute":true}},"last":{"type":["string","null"],"description":"Last page","xml":{"attribute":true}}},"xml":{"name":"Navigation"}},"PostalCodeDto":{"type":"object","properties":{"postal_code":{"type":"string","description":"Postal code","xml":{"name":"Code"}},"city":{"type":"string","description":"City","xml":{"name":"City"}},"municipalityId":{"type":["string","null"],"description":"Municipality id in which postal code is located","xml":{"name":"MunicipalityId"}},"municipality":{"type":["string","null"],"description":"Municipality postal code is located in","xml":{"name":"Municipality"}},"county":{"type":["string","null"],"description":"County postal code is located in","xml":{"name":"County"}},"po_box":{"type":["boolean","null"],"deprecated":true,"description":"Postal code is post office box, This is deprecated. Use postal_code_type instead","xml":{"name":"PostOfficeBox"}},"special":{"type":["boolean","null"],"deprecated":true,"description":"Customer specific postal code. Only relevant for Norwegian postal codes. This is deprecated. Use postal_code_type instead","xml":{"name":"Special"}},"postal_code_variations":{"type":["array","null"],"description":"Variations of this postal code used with this city. This is only used for Dutch postal codes.","items":{"type":"string","xml":{"name":"Code"}},"xml":{"name":"PostalCodeVariations","wrapped":true}},"latitude":{"type":["string","null"],"description":"<p>If the postal code includes a PO Box (either exclusively i.e <code>postal_code_type=PO_BOX</code> or in combination with a street address i.e <code>postal_code_type=COMBINED</code>), the latitude returns WGS84 coordinates representing the precise location of the PO Box.</p><br/><p>Conversely, if the postal code pertains solely to a street address i.e <code>postal_code_type=STREET_ADDRESSES</code>, the latitude returns WGS84 coordinates indicating the central point of the postal code.</p>","xml":{"name":"Latitude"}},"longitude":{"type":["string","null"],"description":"<p>If the postal code includes a PO Box (either exclusively i.e <code>postal_code_type=PO_BOX</code> or in combination with a street i.e address <code>postal_code_type=COMBINED</code>), the longitude returns WGS84 coordinates representing the precise location of the PO Box.</p><br/><p>Conversely, if the postal code pertains solely to a street address i.e <code>postal_code_type=STREET_ADDRESSES</code>, the longitude returns WGS84 coordinates indicating the central point of the postal code.</p>","xml":{"name":"Longitude"}},"street_address_latitude":{"type":["string","null"],"description":"<p>If the postal code includes a street address (either exclusively i.e <code>postal_code_type=STREET_ADDRESSES</code> or in combination with a PO Box i.e <code>postal_code_type=COMBINED</code>), the street_address_latitude returns WGS84 coordinates indicating the central point of the postal code.</p><br/><p>Conversely, if the postal code pertains solely to a PO Box i.e <code>postal_code_type=PO_BOX</code>, the street_address_latitude returns null and is excluded from the response.</p>","xml":{"name":"Street Address Latitude"}},"street_address_longitude":{"type":["string","null"],"description":"<p>If the postal code includes a street address (either exclusively i.e <code>postal_code_type=STREET_ADDRESSES</code> or in combination with a PO Box i.e <code>postal_code_type=COMBINED</code>), the street_address_longitude returns WGS84 coordinates indicating the central point of the postal code.</p><br/><p>Conversely, if the postal code pertains solely to a PO Box i.e <code>postal_code_type=PO_BOX</code>, the street_address_longitude returns null and is excluded from the response.</p>","xml":{"name":"Street Address Longitude"}},"postal_code_type":{"type":["string","null"],"description":"\n           <p>Specifies the type of postal code associated with an address.</p>\n           <br/>\n           <ul>\n              <li><code>STREET_ADDRESSES</code> - the postal code is used for street addresses</li>\n              <li><code>PO_BOX</code> - the postal code is used for PO Boxes</li>\n              <li><code>COMBINED</code> - the postal code is used for both street addresses and PO Boxes</li>\n              <li><code>SPECIAL_SERVICE</code> - the postal code is used for special services</li>\n              <li><code>UNKNOWN</code> - the type is unspecified or not recognized</li>\n           </ul>\n        ","enum":["STREET_ADDRESSES","PO_BOX","COMBINED","SPECIAL_SERVICE","UNKNOWN"],"xml":{"name":"PostalCodeType"}}},"required":["city","postal_code"],"xml":{"name":"PostalCode"}},"PostalCodesDto":{"type":"object","properties":{"navigation":{"oneOf":[{"$ref":"#/components/schemas/Navigation"},{"type":"null"}]},"postal_codes":{"type":"array","items":{"$ref":"#/components/schemas/PostalCodeDto"},"xml":{"name":"PostalCodeList","wrapped":true}}},"required":["postal_codes"],"xml":{"name":"PostalCodes"}},"Error":{"type":"object","properties":{"code":{"type":["string","null"],"enum":["INTERNAL_ERROR","NOT_FOUND","RATE_LIMIT_EXCEEDED"],"xml":{"name":"Code"}},"description":{"type":["string","null"],"xml":{"name":"Description"}}},"xml":{"name":"Error"}},"PostalCodeDtoList":{"type":"object","properties":{"postal_codes":{"type":"array","items":{"$ref":"#/components/schemas/PostalCodeDto"},"xml":{"name":"PostalCode"}}},"required":["postal_codes"],"xml":{"name":"PostalCodes"}},"MailboxDeliveryDatesDto":{"type":"object","properties":{"delivery_dates":{"type":"array","description":"List of coming mailbox delivery dates calculated from provided date","items":{"type":"string","xml":{"name":"DeliveryDate"}},"xml":{"name":"DeliveryDate"}}},"required":["delivery_dates"],"xml":{"name":"MailboxDeliveryDates"}}},"examples":{"500":{"value":{"code":"INTERNAL_ERROR","description":"An unexpected error occurred"}},"404":{"value":{"code":"NOT_FOUND","description":"Not found"}},"429":{"value":{"code":"RATE_LIMIT_EXCEEDED","description":"Request rate cannot exceed 40 requests per 1 second"}},"INVALID_QUERY_PARAM":{"value":{"code":"INVALID_QUERY_PARAM","description":"Invalid query param(s)"}},"INVALID_COUNTRY":{"value":{"code":"INVALID_COUNTRY","description":"The provided country code is not supported"}},"INVALID_MAILBOX_DELIVERY_COUNTRY":{"value":{"code":"INVALID_MAILBOX_DELIVERY_COUNTRY","description":"The provided country code is not supported"}},"INVALID_POSTAL_CODE_COUNTRY":{"value":{"code":"INVALID_POSTAL_CODE_COUNTRY","description":"The provided country code is not supported"}},"QUERY_PARAM_MISSING_OR_EMPTY":{"value":{"code":"QUERY_PARAM_MISSING_OR_EMPTY","description":"The 'q' query param cannot be null or empty"}},"QUERY_PARAM_EMPTY":{"value":{"code":"QUERY_PARAM_EMPTY","description":"The 'q' query param cannot be empty"}},"INVALID_PAGE_NUMBER":{"value":{"code":"INVALID_PAGE_NUMBER","description":"The 'page' query param must be numeric"}},"INVALID_LIMIT":{"value":{"code":"INVALID_LIMIT","description":"The `limit` query param must be numeric"}},"LIMIT_LARGER_THAN_10":{"value":{"code":"LIMIT_LARGER_THAN_10","description":"The `limit` query param cannot be greater than 10"}},"LIMIT_LARGER_THAN_100":{"value":{"code":"LIMIT_LARGER_THAN_100","description":"The `limit` query param cannot be greater than 100"}},"INVALID_POSTAL_CODE":{"value":{"code":"INVALID_POSTAL_CODE","description":"Invalid postal code format. Postal code must be numeric and consist of 4 digits"}},"INVALID_DATE_FORMAT":{"value":{"code":"INVALID_DATE_FORMAT","description":"Invalid `from_date` date format. Should be formatted as ISO date (e.g. 2023-03-23) and not in the past"}},"INVALID_LOOK_AHEAD_DAYS":{"value":{"code":"INVALID_LOOK_AHEAD_DAYS","description":"The `look_ahead_days` query param must be a positive numeric value and cannot be greater than 14."}},"INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY":{"value":{"code":"INVALID_POSTAL_CODE_FORMAT_FOR_COUNTRY","description":"Invalid postal code format for country"}},"INVALID_ADDRESS_STRING":{"value":{"code":"INVALID_ADDRESS_STRING","description":"The 'address' query param cannot be empty"}},"ADDRESS_PARAM_PROVIDED":{"value":{"code":"ADDRESS_PARAM_PROVIDED","description":"Nothing wrong here"}},"MISSING_ADDRESS_TYPE":{"value":{"code":"MISSING_ADDRESS_TYPE","description":"The 'address_type' query param cannot be null"}},"INVALID_ADDRESS_TYPE":{"value":{"code":"INVALID_ADDRESS_TYPE","description":"The 'address_type' query param requires one of the following values: [street, place, postal_place, po_box]"}},"MISSING_STREET_OR_PLACE":{"value":{"code":"MISSING_STREET_OR_PLACE","description":"The 'street_or_place' query param is mandatory when providing an 'address_type' of street or place"}},"MISSING_POSTAL_CODE_OR_CITY_POSTAL_PLACE_ADDRESS":{"value":{"code":"MISSING_POSTAL_CODE_OR_CITY_POSTAL_PLACE_ADDRESS","description":"Either 'postal_code' or 'city' query param is mandatory when providing an 'address_type' of postal place or post office box"}},"MISSING_CITY_POSTAL_PLACE_ADDRESS":{"value":{"code":"MISSING_CITY_POSTAL_PLACE_ADDRESS","description":"The 'city' query param is mandatory when providing an 'address_type' postal place"}},"MISSING_OR_INVALID_POSTAL_CODE":{"value":{"code":"MISSING_OR_INVALID_POSTAL_CODE","description":"The 'postal_code' query param is missing or has an invalid postal code format. Postal code must be numeric and consist of 4 digits"}},"INVALID_STREET_NUMBER":{"value":{"code":"INVALID_STREET_NUMBER","description":"The 'street_number' query param must be numeric"}},"INVALID_PO_BOX_NUMBER":{"value":{"code":"INVALID_PO_BOX_NUMBER","description":"The 'po_box_number' query param must be numeric"}},"INVALID_LETTER":{"value":{"code":"INVALID_LETTER","description":"The 'letter' query param cannot be numeric"}},"NO_QUERY_PARAMS":{"value":{"code":"NO_QUERY_PARAMS","description":"At least one query param must be provided"}},"MISSING_STREET_NUMBER":{"value":{"code":"MISSING_STREET_NUMBER","description":"'street_number' query param is mandatory when providing a street 'address_type'"}},"MISSING_PO_BOX_NUMBER":{"value":{"code":"MISSING_PO_BOX_NUMBER","description":"'po_box_number' query param is mandatory when providing a po_box 'address_type'"}},"MISSING_POSTAL_CODE":{"value":{"code":"MISSING_POSTAL_CODE","description":"cannot be blank"}},"INVALID_COUNTRY_CODE":{"value":{"code":"INVALID_COUNTRY_CODE","description":"country code not supported"}},"UNSUPPORTED_COUNTRY_CODE":{"value":{"code":"UNSUPPORTED_COUNTRY_CODE","description":"NO_POSTAL_CODE_DATA_REGISTERED_FOR_COUNTRY"}},"MISSING_SEARCH_EXPRESSION":{"value":{"code":"MISSING_SEARCH_EXPRESSION","description":"Expression is blank"}},"street_address":{"value":{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}},"addresses":{"value":{"navigation":{"total_hits":2,"self":"https://api.bring.com/address/api/no/addresses?street_or_place=kol%C3%A5sveien&address_type=street&postal_code=1555&city=Son&page=1"},"addresses":[{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}},{"address_id":"1817302","street_name":"Kolåsveien","house_number":10,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}]}},"streetsAndPlaces":{"value":{"navigation":{"total_hits":2,"self":"https://api.bring.com/address/api/no/suggestions?page=1"},"streets_and_places":[{"id":"NO-0301-11704","name":"Falsens gate","postal_code":"0556","city":"Oslo","county":"Oslo","type":"STREET"},{"id":"3419922","name":"Stormo","postal_code":"8230","city":"Sulitjelma","county":"Nordland","type":"PLACE"}]}},"validAddress":{"value":{"valid":true,"match":{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}}},"postal_place_address":{"value":{"address_id":"61899","po_box_number":506,"po_box_facility":"Sentrum","postal_code":"0105","city":"Oslo","county":"Oslo","municipality":"Oslo","type":"PO_BOX","coordinate":{"latitude":"60.00012","longitude":"5.0033"}}},"invalidNotFoundAddress":{"value":{"valid":false,"reasons":[{"code":"ADDRESS_NOT_FOUND","description":"No matching address found, and no alternative suggestions available"}]}},"place_address":{"value":{"address_id":"3419922","place":"Stormo","postal_code":"8230","city":"Sulitjelma","county":"Nordland","municipality":"Fauske","type":"PLACE","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}},"postalCode":{"value":{"postal_codes":[{"postal_code":"1555","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"}]}},"municipality":{"value":{"id":"NO-3014","name":"Vestby","county":"Viken"}},"postalCodeSuggestion":{"value":{"navigation":{"total_hits":2,"self":"https://api.bring.com/address/api/no/postal-codes/suggestions?q=son&page=1"},"postal_codes":[{"postal_code":"1555","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"1556","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":true,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"}]}},"postalCodesWithCity":{"value":{"navigation":{"total_hits":2,"self":"https://api.bring.com/address/api/no/postal-codes?city=son&page=1"},"postal_codes":[{"postal_code":"1555","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"1556","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":true,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"}]}},"invalidPoBoxNumberAddress":{"value":{"valid":false,"reasons":[{"code":"PO_BOX_NUMBER_DOES_NOT_EXIST","description":"Requested post office box number does not exist"}],"suggestions":[{"address_id":"61899","po_box_number":506,"po_box_facility":"Sentrum","postal_code":"0105","city":"Oslo","county":"Oslo","municipality":"Oslo","type":"PO_BOX","coordinate":{"latitude":"60.00012","longitude":"5.0033"}}]}},"multiplePostalCodes":{"value":{"postal_codes":[{"postal_code":"01067","city":"Dresden innere altstadt","municipalityId":"3019","county":"Sachsen","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"01067","city":"Dresden","municipalityId":"3019","county":"Sachsen","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"01067","city":"Dresden friedrichstadt","municipalityId":"3019","county":"Sachsen","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"}]}},"invalidPlaceAddress":{"value":{"valid":false,"reasons":[{"code":"PLACE_DOES_NOT_EXIST","description":"Requested place not found"}],"suggestions":[{"address_id":"3419922","place":"Stormo","postal_code":"8230","city":"Sulitjelma","county":"Nordland","municipality":"Fauske","type":"PLACE","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}]}},"street":{"value":{"id":"NO-0301-11704","name":"Falsens gate","postal_code":"0556","city":"Oslo","county":"Oslo","type":"STREET"}},"invalidHouseNumberAddress":{"value":{"valid":false,"reasons":[{"code":"HOUSE_NUMBER_DOES_NOT_EXIST","description":"Requested house number does not exist"}],"suggestions":[{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}]}},"place":{"value":{"id":"3419922","name":"Stormo","postal_code":"8230","city":"Sulitjelma","county":"Nordland","type":"PLACE"}},"invalidHouseLetterAddress":{"value":{"valid":false,"reasons":[{"code":"HOUSE_LETTER_DOES_NOT_EXIST","description":"Requested house letter does not exist"}],"suggestions":[{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}]}},"dutchPostalCode":{"value":{"postal_codes":[{"postal_code":"6101","city":"Echt","municipality":"Echt-Susteren","county":"Limburg","po_box":false,"postal_code_variations":["6101AA","6101AB","6101AC","6101AD","6101AE","6101AG","6101AH","6101AJ"],"postal_code_type":"UNKNOWN"}]}},"po_box_address":{"value":{"address_id":"61899","po_box_number":506,"po_box_facility":"Sentrum","postal_code":"0105","city":"Oslo","county":"Oslo","municipality":"Oslo","type":"PO_BOX","coordinate":{"latitude":"60.00012","longitude":"5.0033"}}},"streetNumbers":{"value":{"navigation":{"total_hits":4,"self":"https://api.bring.com/address/api/no/streets/NO-3019-04900/numbers&page=1"},"street_name":"Kolåsveien","street_numbers":[{"number":1,"formatted_number":"1","address_id":"1817301"},{"number":1,"letter":"A","formatted_number":"1A","address_id":"1817302"},{"number":1,"letter":"B","formatted_number":"1B","address_id":"1817303"},{"number":2,"formatted_number":"2","address_id":"1817304"}]}},"municipalitiesExample":{"value":{"navigation":{"total_hits":1,"self":"https://api.bring.com/address/api/no/municipalities?page=1"},"municipalities":[{"id":"NO-3014","name":"Vestby","county":"Viken"}]}},"mailboxDeliveryDates":{"value":{"delivery_dates":["2023-02-06","2023-02-08","2023-02-10","2023-02-14","2023-02-16","2023-02-20"]}},"invalidCityAddress":{"value":{"valid":false,"reasons":[{"code":"INCORRECT_CITY","description":"Incorrect city"}],"suggestions":[{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}]}},"invalidPoBoxFacilityAddress":{"value":{"valid":false,"reasons":[{"code":"PO_BOX_FACILITY_DOES_NOT_EXIST","description":"Requested post office box facility does not exist"}],"suggestions":[{"address_id":"61899","po_box_number":506,"po_box_facility":"Sentrum","postal_code":"0105","city":"Oslo","county":"Oslo","municipality":"Oslo","type":"PO_BOX","coordinate":{"latitude":"60.00012","longitude":"5.0033"}}]}},"postalCodesWithMunicipalityAndCounty":{"value":{"navigation":{"total_hits":4,"self":"https://api.bring.com/address/api/no/postal-codes?county=viken&municipality=vestby&page=1"},"postal_codes":[{"postal_code":"1555","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"1556","city":"Son","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":true,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"1540","city":"Hølen","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"},{"postal_code":"1545","city":"Hvitsten","municipalityId":"3019","municipality":"Vestby","county":"Viken","po_box":false,"latitude":"59.5237","longitude":"10.6862","postal_code_type":"STREET_ADDRESSES"}]}},"invalidStreetAddress":{"value":{"valid":false,"reasons":[{"code":"STREET_NAME_DOES_NOT_EXIST","description":"Requested street name not found"}],"suggestions":[{"address_id":"1817301","street_name":"Kolåsveien","house_number":9,"postal_code":"1555","city":"Son","county":"Viken","municipality":"Vestby","type":"STREET","coordinate":{"latitude":"60.0000","longitude":"5.0000"}}]}}}}}